#1813 make the ldb check configurable
Closed: Fixed None Opened 7 years ago by jhrozek.

Currently the LDB memberof plugin checks if the version of LDB it was built against is the version that is present on the system:

        int ldb_init_module(const char *version)
        {
        #ifdef LDB_MODULE_CHECK_VERSION
-->         LDB_MODULE_CHECK_VERSION(version);
        #endif
            return ldb_register_module(&ldb_memberof_module_ops);
        }

But this check means that SSSD needs to be rebuilt every time ldb is rebased. Some distributions and maintainers would prefer to rely on manual ABI checks.

We should include a new configure time option --enable/disable-ldb-version-check that might be off by default in upstream and enabled in Fedora/RHEL.


Internal task. No clone needed.

rhbz: => 0

Fields changed

milestone: NEEDS_TRIAGE => SSSD 1.10 beta

Fields changed

owner: somebody => lslebodn

Fields changed

patch: 0 => 1
status: new => assigned

resolution: => fixed
review: => 0
status: assigned => closed

Metadata Update from @jhrozek:
- Issue assigned to lslebodn
- Issue set to the milestone: SSSD 1.10 beta

3 years ago

SSSD is moving from Pagure to Github. This means that new issues and pull requests
will be accepted only in SSSD's github repository.

This issue has been cloned to Github and is available here:
- https://github.com/SSSD/sssd/issues/2855

If you want to receive further updates on the issue, please navigate to the github issue
and click on subscribe button.

Thank you for understanding. We apologize for all inconvenience.

Login to comment on this ticket.

Metadata